cpw.mods.fml.common.toposort

## Class TopologicalSort

- java.lang.Object
- - cpw.mods.fml.common.toposort.TopologicalSort

-     public class TopologicalSort
      extends java.lang.Object

  Topological sort for mod loading Based on a variety of sources, including http://keithschwarz.com/interesting/code/?dir=topological-sort

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TopologicalSort.DirectedGraph<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopologicalSort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> void` | `explore(T node, TopologicalSort.DirectedGraph<T> graph, java.util.List<T> sortedResult, java.util.Set<T> visitedNodes, java.util.Set<T> expandedNodes)`
    `static <T> TopologicalSort.DirectedGraph<T>` | `reverse(TopologicalSort.DirectedGraph<T> graph)`
    `static <T> java.util.List<T>` | `topologicalSort(TopologicalSort.DirectedGraph<T> graph)` Sort the input graph into a topologically sorted list Uses the reverse depth first search as outlined in ...

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopologicalSort

          public TopologicalSort()

  - ### Method Detail

    - #### topologicalSort

          public static <T> java.util.List<T> topologicalSort(TopologicalSort.DirectedGraph<T> graph)

      Sort the input graph into a topologically sorted list Uses the reverse depth first search as outlined in ...
      Parameters:
        `graph` -
      Returns:
        The sorted mods list.

    - #### reverse

          public static <T> TopologicalSort.DirectedGraph<T> reverse(TopologicalSort.DirectedGraph<T> graph)

    - #### explore

          public static <T> void explore(T node,
                         TopologicalSort.DirectedGraph<T> graph,
                         java.util.List<T> sortedResult,
                         java.util.Set<T> visitedNodes,
                         java.util.Set<T> expandedNodes)